ur_rna.StructureEditor.services

## Class RnaDrawController.ScreenNuc

- java.lang.Object
- - ur_rna.StructureEditor.services.RnaDrawController.ScreenNuc

- All Implemented Interfaces:
    IScreenObject
  Enclosing class:
    RnaDrawController

      private static class RnaDrawController.ScreenNuc
      extends java.lang.Object
      implements IScreenObject

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.awt.Rectangle` | `bounds`
    `(package private) int` | `hitDistance`
    `(package private) int` | `hitDistanceSq`
    `Nuc` | `nuc`
    `(package private) float` | `OUTLINE_WIDTH`
    `java.awt.Point` | `p`
    `(package private) float` | `screenRadius`
    `int` | `selectionBorder`
    `DrawSettings` | `settings`
    `int` | `zorder`

    - ### Fields inherited from interface ur_rna.StructureEditor.models.IScreenObject

      `ZORDER_MAX, ZORDER_MIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScreenNuc(Nuc nuc, DrawSettings settings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Rectangle` | `getBounds()`
    `Nuc` | `getModel()`
    `int` | `getZOrder()`
    `boolean` | `hitTest(java.awt.geom.Point2D point)` Determine if the object contains the given point (in screen coordinates)
    `boolean` | `hitTest(java.awt.Rectangle rc)` Determine if the object intersects the given rectangle (in screen coordinates)
    `void` | `setZorder(int newZorder)`
    `void` | `updateView(View2D view)` Called before any other methods to notify the screen object of the current screen coordinates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bounds

          java.awt.Rectangle bounds

    - #### hitDistance

          int hitDistance

    - #### hitDistanceSq

          int hitDistanceSq

    - #### nuc

          public final Nuc nuc

    - #### OUTLINE_WIDTH

          final float OUTLINE_WIDTH

      See Also:
        Constant Field Values

    - #### p

          public final java.awt.Point p

    - #### screenRadius

          float screenRadius

    - #### selectionBorder

          public final int selectionBorder

      See Also:
        Constant Field Values

    - #### settings

          public DrawSettings settings

    - #### zorder

          public int zorder

  - ### Constructor Detail

    - #### ScreenNuc

          public ScreenNuc(Nuc nuc,
                           DrawSettings settings)

  - ### Method Detail

    - #### getBounds

          public java.awt.Rectangle getBounds()

      Specified by:
        `getBounds` in interface `IScreenObject`
      Returns:
        Returns the bounds of this screen object (in screen coordinates)

    - #### getModel

          public Nuc getModel()

      Specified by:
        `getModel` in interface `IScreenObject`
      Returns:
        Returns the model-space object that is represented by this screen object.

    - #### getZOrder

          public int getZOrder()

      Specified by:
        `getZOrder` in interface `IScreenObject`
      Returns:
        Returns the z-order of the screen object. Objects with higher z-orders are given preference in hit-testing.

    - #### hitTest

          public boolean hitTest(java.awt.geom.Point2D point)

      Description copied from interface: `IScreenObject`
      Determine if the object contains the given point (in screen coordinates)
      Specified by:
        `hitTest` in interface `IScreenObject`

    - #### hitTest

          public boolean hitTest(java.awt.Rectangle rc)

      Description copied from interface: `IScreenObject`
      Determine if the object intersects the given rectangle (in screen coordinates)
      Specified by:
        `hitTest` in interface `IScreenObject`

    - #### setZorder

          public void setZorder(int newZorder)

    - #### updateView

          public void updateView(View2D view)

      Description copied from interface: `IScreenObject`
      Called before any other methods to notify the screen object of the current screen coordinates.
      Specified by:
        `updateView` in interface `IScreenObject`